## ESourceAddressBook ESourceAddressBook — ESource extension for an address book |

## Types and Values

#define | E_SOURCE_EXTENSION_ADDRESS_BOOK
struct | ESourceAddressBook
struct | ESourceAddressBookClass

## Includes

    #include <libedataserver/libedataserver.h>

## Description

The ESourceAddressBook extension identifies the ESource as an address book.

Access the extension as follows:

    1
    2
    3
    4
    5
    #include <libedataserver/libedataserver.h>

    ESourceAddressBook *extension;

    extension = e_source_get_extension (source, E_SOURCE_EXTENSION_ADDRESS_BOOK);

## Functions

## Types and Values

### E_SOURCE_EXTENSION_ADDRESS_BOOK

    #define E_SOURCE_EXTENSION_ADDRESS_BOOK "Address Book"

Pass this extension name to `e_source_get_extension()` to access ESourceAddressBook. This is also used as a group name in key files.

Since: 3.6

### struct ESourceAddressBook

    struct ESourceAddressBook {
    	ESourceBackend parent;
    	ESourceAddressBookPrivate *priv;
    };

Contains only private data that should be read and manipulated using the functions below.

Since: 3.6

### struct ESourceAddressBookClass

    struct ESourceAddressBookClass {
    	ESourceBackendClass parent_class;
    };